## Base URL

```
https://query.raindrop.ai
```

## Authentication

All requests require a Bearer token:

```
curl https://query.raindrop.ai/v1/events \
  -H "Authorization: Bearer YOUR_QUERY_API_KEY"
```

## Endpoints

| Resource    | Endpoints                                                                                     |
|-------------|-----------------------------------------------------------------------------------------------|
| **Events**  | `GET /v1/events` · `GET /v1/events/search` · `GET /v1/events/count` · `GET /v1/events/timeseries` · `GET /v1/events/facets` · `GET /v1/events/{id}` |
| **Traces**  | `GET /v1/traces`                                                                            |
| **Signals** | `GET /v1/signals` · `GET /v1/signals/{id}`                                                 |
| **Users**   | `GET /v1/users` · `GET /v1/users/{id}`                                                     |
| **Conversations** | `GET /v1/conversations` · `GET /v1/conversations/{id}`                                 |

## Rate Limits

- **200 RPM** for most endpoints
- **15 RPM** for `GET /v1/events/search`
- **20 RPS** across all endpoints
